: Class DNSResolver

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.log
Class DNSResolver

    java.lang.Object
      |
      +--org.w3c.tools.log.DNSResolver

public class DNSResolver
extends java.lang.Object

Constructor Summary
`DNSResolver(java.io.BufferedReader bf)`
`DNSResolver(java.io.BufferedReader bf, boolean timestamp, boolean resolve)`
`DNSResolver(java.io.BufferedReader bf, int cacheSize)`
`DNSResolver(java.io.BufferedReader bf, int cacheSize, boolean timestamp, boolean resolve)` create a new Resovler engine

Method Summary
`void` | `readLog()` the main loop, works on the reader provided at initialization

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DNSResolver

    public DNSResolver(java.io.BufferedReader bf,
                       int cacheSize,
                       boolean timestamp,
                       boolean resolve)

  create a new Resovler engine
  Parameters:
    `bf,` - a buffered reader, the log source
    `cacheSize` - the number of threads used to do resolution
    `timestamp` - if set, the resolver will add a numeric timestamp useful to sort mixed entries
    `resolve` - if set, it will do DNS resolution of the entry

### DNSResolver

    public DNSResolver(java.io.BufferedReader bf,
                       int cacheSize)

### DNSResolver

    public DNSResolver(java.io.BufferedReader bf,
                       boolean timestamp,
                       boolean resolve)

### DNSResolver

    public DNSResolver(java.io.BufferedReader bf)

Method Detail

### readLog

    public void readLog()

  the main loop, works on the reader provided at initialization

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD